"""empty message

Revision ID: efaa3b4fd3e8
Revises: 
Create Date: 2017-02-22 05:27:41.905321

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'efaa3b4fd3e8'
down_revision = None
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('protocoltypes',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('name', sa.String(), nullable=True),
    sa.Column('short_name', sa.String(), nullable=True),
    sa.Column('organization', sa.String(), nullable=True),
    sa.Column('is_public', sa.Boolean(), nullable=True),
    sa.Column('private_group', sa.String(), nullable=True),
    sa.Column('public_group', sa.String(), nullable=True),
    sa.Column('private_mail', sa.String(), nullable=True),
    sa.Column('public_mail', sa.String(), nullable=True),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('name'),
    sa.UniqueConstraint('short_name')
    )
    op.create_table('todos',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('who', sa.String(), nullable=True),
    sa.Column('description', sa.String(), nullable=True),
    sa.Column('tags', sa.String(), nullable=True),
    sa.Column('done', sa.Boolean(), nullable=True),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('defaulttops',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('protocoltype_id', sa.Integer(), nullable=True),
    sa.Column('name', sa.String(), nullable=True),
    sa.Column('number', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['protocoltype_id'], ['protocoltypes.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('meetingreminders',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('protocoltype_id', sa.Integer(), nullable=True),
    sa.Column('time_before', sa.Interval(), nullable=True),
    sa.Column('send_public', sa.Boolean(), nullable=True),
    sa.Column('send_private', sa.Boolean(), nullable=True),
    sa.ForeignKeyConstraint(['protocoltype_id'], ['protocoltypes.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('protocols',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('protocoltype_id', sa.Integer(), nullable=True),
    sa.Column('source', sa.String(), nullable=True),
    sa.Column('date', sa.Date(), nullable=True),
    sa.Column('start_time', sa.Time(), nullable=True),
    sa.Column('end_time', sa.Time(), nullable=True),
    sa.Column('author', sa.String(), nullable=True),
    sa.Column('participants', sa.String(), nullable=True),
    sa.Column('location', sa.String(), nullable=True),
    sa.ForeignKeyConstraint(['protocoltype_id'], ['protocoltypes.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('decisions',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('protocol_id', sa.Integer(), nullable=True),
    sa.Column('content', sa.String(), nullable=True),
    sa.ForeignKeyConstraint(['protocol_id'], ['protocols.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('documents',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('protocol_id', sa.Integer(), nullable=True),
    sa.Column('name', sa.String(), nullable=True),
    sa.Column('filename', sa.String(), nullable=True),
    sa.Column('is_compiled', sa.Boolean(), nullable=True),
    sa.ForeignKeyConstraint(['protocol_id'], ['protocols.id'], ),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('filename')
    )
    op.create_table('errors',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('protocol_id', sa.Integer(), nullable=True),
    sa.Column('action', sa.String(), nullable=True),
    sa.Column('name', sa.String(), nullable=True),
    sa.Column('datetime', sa.DateTime(), nullable=True),
    sa.Column('description', sa.String(), nullable=True),
    sa.ForeignKeyConstraint(['protocol_id'], ['protocols.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('todoprotocolassociations',
    sa.Column('todo_id', sa.Integer(), nullable=False),
    sa.Column('protocol_id', sa.Integer(), nullable=False),
    sa.ForeignKeyConstraint(['protocol_id'], ['protocols.id'], ),
    sa.ForeignKeyConstraint(['todo_id'], ['todos.id'], ),
    sa.PrimaryKeyConstraint('todo_id', 'protocol_id')
    )
    op.create_table('tops',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('protocol_id', sa.Integer(), nullable=True),
    sa.Column('name', sa.String(), nullable=True),
    sa.Column('number', sa.String(), nullable=True),
    sa.Column('planned', sa.Boolean(), nullable=True),
    sa.ForeignKeyConstraint(['protocol_id'], ['protocols.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('tops')
    op.drop_table('todoprotocolassociations')
    op.drop_table('errors')
    op.drop_table('documents')
    op.drop_table('decisions')
    op.drop_table('protocols')
    op.drop_table('meetingreminders')
    op.drop_table('defaulttops')
    op.drop_table('todos')
    op.drop_table('protocoltypes')
    # ### end Alembic commands ###
